WordPress.org

Ready to get started?Download WordPress

Forums

Mendeley Plugin
[resolved] "Warning: strlen()" message (7 posts)

  1. crelis
    Member
    Posted 1 year ago #

    Hi, I recently updated the mendeley plugin to 0.8.1 and since then I'm receiving the following msg at the top of my page (the plugin itself works fine, i just want to get rid of the error message):

    Warning: strlen() expects parameter 1 to be string, array given in /usr/home/peopleandwater.org/web/wp-content/plugins/mendeleyplugin/wp-mendeley.php on line 208

    Any advice, please let me know. Thank you!

    http://wordpress.org/extend/plugins/mendeleyplugin/

  2. Gerbrand
    Member
    Posted 1 year ago #

    Any solutions for this yet?
    Btw if you google for this error you'll find some other live sites with this problem.

  3. crelis
    Member
    Posted 1 year ago #

    No, unfortunately, still nothing. Yeah, I also found a few other websites with the same error...

  4. Heapoc
    Member
    Posted 1 year ago #

    Really? I just got this myself. No answer?!

  5. Alex
    Member
    Posted 11 months ago #

    I've looked at the PHP file and it looks like this error is associated with the filter parameter.

    Anyway, I've found a way around the error is to include the filter parameter in the short code. For example:

    [mendeley type="folders" id="xxx" filter="author=Name"]

  6. crelis
    Member
    Posted 11 months ago #

    Great! Thank you!! That worked perfectly.

  7. kochm
    Member
    Plugin Author

    Posted 7 months ago #

    Sorry for the delay in answering the question - I just do not look into the forum regularly and there is no way to get requests into my mailbox.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic